package de.intevation.gnv.servlet;

import de.intevation.gnv.propertiesreader.PropertiesReaderFactory;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

import org.apache.struts.action.ActionServlet;

/**
 * The GNV ActionServlet.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class GNVActionServlet extends ActionServlet {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = null;

    static {
        // BasicConfigurator.configure();
    }

    static String LOGGINIG_CONFIG_FILE_ID = "de.intevation.gnv.servlet.log4j.configuration";

    private static final long serialVersionUID = 3597396283436383943L;


    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        try {
            String path = config.getServletContext().getRealPath("/")
                          + config.getInitParameter(LOGGINIG_CONFIG_FILE_ID);
            PropertyConfigurator.configure(path);
            log = Logger.getLogger(GNVActionServlet.class);
        } catch (Exception e) {
            log.error(e, e);
        }
        log.info("PropertiesReader will be configured.");
        PropertiesReaderFactory.getInstance().initPropertiesReader(config);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
